Orders (Customer Managed)
Customer access token.
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$The list of comma-separated properties used to sort the results. By default, the column values are sorted in ascending order. Can either be in the form of fieldName or fieldName:asc,fieldName:desc. If you want to sort by localized attributes, you must use the following form: fieldName.language or fieldName.language:asc,fieldName.language:desc.
The page number to be retrieved where the size of the pages must be specified by the pageSize parameter. The number of the first page is 1.
1The number of documents being retrieved on the page.
16A standard query parameter is used to search for specific values.
- Searching for an item by string property:
q=currency:USDwherecurrencyis the name of string field andUSDis its required value. - Searching for items by number-based property:
- Searching for items with specific value:
q=tax.total.amount:20 - Searching for items with value greater than:
q=tax.total.amount:>20 - Searching for items with value lower than:
q=tax.total.amount:<20 - Searching for items with value greater or equal than:
q=tax.total.amount:>=20 - Searching for items with value lower or equal than:
q=tax.total.amount:<=20 - Searching for items with within a range of values:
q=tax.total.amount:(>=10 AND <=20)
wheretax.total.amountis name of number-based field and20is it's querying value.
- Searching for items with specific value:
- Searching for items by date property. All number-based property queries are valid also for dates. In that case the date should be placed within double quotes:
q=created:(>="2021-05-18T07:27:27.455Z" AND <"2021-05-20T07:27:27.455Z") - Searching for items by boolean value:
q=customer.mixins.generalAttributes.invoiceNotDeliveryAddress:truewherecustomer.mixins.generalAttributes.invoiceNotDeliveryAddressis a name of boolean field and 'true' is it`s required value. - Searching for items with non existing or empty property:
q=billingAddress.contactPhone:nullwherebillingAddress.contactPhoneis a name of fields that has valuenull. - Searching for items with existing property:
q=mixins.mixinName:existswhere the specific mixin namedmixinNameexists in the database. - Searching for items by multiple specific values:
q=id:(order_id1,order_id2)whereidis name of field and strings within a bracket are it's required value. - Searching for items by multiple fields:
q=id:order_id1 status:COMPLETEDwhereidandstatusare the names of fields. All documents that contain given values of these fields are returned. Multiple fields separated by space can be specified. Multiple values for each field can be also specified in a format presented above.
currency:USDA list of comma-separated fields names of the Order. If the field is empty then full order is returned. Otherwise, only the indicated fields will be populated in a response.
Required only when using access token (client credentials). Not used with customer token. Token used to identify the logged-in user; has an expiry and is signed with a passphrase.
The request was successful. A list of orders has been returned.
Request was syntactically incorrect. Details of the error are included in the response payload.
Given authorization scopes are not sufficient and do not match required scopes.
Some server side error occurred.
Customer access token.
Unique identifier of an order.
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Required only when using access token (client credentials). Not used with customer token. Token used to identify the logged-in user; has an expiry and is signed with a passphrase.
The request was successful. Order details have been returned.
The base order fields. This object is inherited by all of other order objects as Order Creation DTO, Order Update DTO etc.
Order's unique identifier.
Status of the order. Supported order statuses are IN_CHECKOUT, CREATED, CONFIRMED, DECLINED, SHIPPED, COMPLETED'. Customers can only change the order status from CREATED to DECLINED.
Order's creation date.
Order's completion date.
Order last status change date.
Access control identifier that determines who can view or manage the order.
Purpose: Restricts order visibility based on scope permissions. Only users/applications with matching restriction scopes can access orders with a specific restriction value.
Access Control:
- Reading: Users can only query and view orders with the
restrictionvalue that matches one of their authorized restrictions.
Validation: The value must exist in the tenant's configured list of valid restrictions.
Site Synchronization: If the restriction property is not set with tenant configuration property enableSyncBetweenRestrictionsAndSiteCodes set to true, the restriction field automatically syncs with siteCode property.
DEThe identifier of a cart that was used to create this order.
Available on orders that have been split. For standard orders, the value is null. For the original order that was split, the value is MASTER_ORDERs, and for the created suborders, the value is SUB_ORDER.
The identifier of a master order. Available on suborders that have been created after splitting the master order.
A list of string IDs for suborders created after a split. Available only on the master order from which the split originated.
Site's unique identifier. A site is a specific shop.
Two-letter country code, compliant with the ISO 3166 standard.
Order sub total price. This field is deprecated. Please use calculatedPrice.price or calculatedPrice.discountedPrice instead. These fields provide the same value with updated functionality.
Order total price. This field is deprecated. Please use calculatedPrice.finalPrice instead. The calculatedPrice.finalPrice field provides the same value with updated functionality.
The amount that should be authorized with payment provider. It's a sum of calculatedPrice.finalPrice.grossValue and calculatedPrice.upliftValue.grossValue.
Three-letter currency code, compliant with the ISO 4217 standard.
Order cycle date.
NOTE
This attribute is DEPRECATED, please use the deliveryWindow.deliveryCycle attribute
Delivery window's unique identifier.
NOTE
This attribute is DEPRECATED, please use the deliveryWindow.id attribute
The identifier of the legal entity on whose behalf the order was placed.
Given authorization scopes are not sufficient and do not match required scopes.
Order does not exist
Some server side error occurred.
Customer access token.
Unique identifier of an order.
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Required only when using access token (client credentials). Not used with customer token. Token used to identify the logged-in user; has an expiry and is signed with a passphrase.
The request was successful. Status transition for given order returned.
Order status transition list.
Status of the order. Supported order statuses are IN_CHECKOUT, CREATED, CONFIRMED, DECLINED, SHIPPED, COMPLETED'. Customers can only change the order status from CREATED to DECLINED.
Access forbidden. The caller is not allowed to access this resource.
Order does not exist
Some server side error occurred.
Customer access token.
Unique identifier of an order.
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Required only when using access token (client credentials). Not used with customer token. Token used to identify the logged-in user; has an expiry and is signed with a passphrase.
Order status transition.
Status of the order. Supported order statuses are IN_CHECKOUT, CREATED, CONFIRMED, DECLINED, SHIPPED, COMPLETED'. Customers can only change the order status from CREATED to DECLINED.
The transition was successful.
Request syntactically incorrect. Details of the error are included in the response payload.
Access forbidden. The caller is not allowed to access this resource.
Order does not exist
Some server side error occurred.
No content
Customer access token.
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Identifier of the legal entity within which the operations are carried out.
The list of comma-separated properties used to sort the results. By default, the column values are sorted in ascending order. Can either be in the form of fieldName or fieldName:asc,fieldName:desc. If you want to sort by localized attributes, you must use the following form: fieldName.language or fieldName.language:asc,fieldName.language:desc.
The page number to be retrieved where the size of the pages must be specified by the pageSize parameter. The number of the first page is 1.
1The number of documents being retrieved on the page.
16A standard query parameter is used to search for specific values.
- Searching for an item by string property:
q=currency:USDwherecurrencyis the name of string field andUSDis its required value. - Searching for items by number-based property:
- Searching for items with specific value:
q=tax.total.amount:20 - Searching for items with value greater than:
q=tax.total.amount:>20 - Searching for items with value lower than:
q=tax.total.amount:<20 - Searching for items with value greater or equal than:
q=tax.total.amount:>=20 - Searching for items with value lower or equal than:
q=tax.total.amount:<=20 - Searching for items with within a range of values:
q=tax.total.amount:(>=10 AND <=20)
wheretax.total.amountis name of number-based field and20is it's querying value.
- Searching for items with specific value:
- Searching for items by date property. All number-based property queries are valid also for dates. In that case the date should be placed within double quotes:
q=created:(>="2021-05-18T07:27:27.455Z" AND <"2021-05-20T07:27:27.455Z") - Searching for items by boolean value:
q=customer.mixins.generalAttributes.invoiceNotDeliveryAddress:truewherecustomer.mixins.generalAttributes.invoiceNotDeliveryAddressis a name of boolean field and 'true' is it`s required value. - Searching for items with non existing or empty property:
q=billingAddress.contactPhone:nullwherebillingAddress.contactPhoneis a name of fields that has valuenull. - Searching for items with existing property:
q=mixins.mixinName:existswhere the specific mixin namedmixinNameexists in the database. - Searching for items by multiple specific values:
q=id:(order_id1,order_id2)whereidis name of field and strings within a bracket are it's required value. - Searching for items by multiple fields:
q=id:order_id1 status:COMPLETEDwhereidandstatusare the names of fields. All documents that contain given values of these fields are returned. Multiple fields separated by space can be specified. Multiple values for each field can be also specified in a format presented above.
currency:USDA list of comma-separated fields names of the Order. If the field is empty then full order is returned. Otherwise, only the indicated fields will be populated in a response.
Required only when using access token (client credentials). Not used with customer token. Token used to identify the logged-in user; has an expiry and is signed with a passphrase.
The request was successful. A list of legal entity orders with details has been returned.
Request was syntactically incorrect. Details of the error are included in the response payload.
Given authorization scopes are not sufficient and do not match required scopes.
Some server side error occurred.
Customer access token.
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Identifier of the legal entity within which the operations are carried out.
Unique identifier of an order.
Required only when using access token (client credentials). Not used with customer token. Token used to identify the logged-in user; has an expiry and is signed with a passphrase.
The request was successful. The legal entity order with details has been returned.
The base order fields. This object is inherited by all of other order objects as Order Creation DTO, Order Update DTO etc.
Order's unique identifier.
Identifier of the quote from which the order has been created
Order's creator name.
Indicates whether this order was created through checkout. Available in tenant-managed responses only.
When set to true, only one order can be created per cart ID — enforcing that a checkout cart results in a single order.
Orders created through the checkout flow have this flag set to true by default.
Order's creation date.
Order's completion date.
Order last status change date.
Access control identifier that determines who can view or manage the order.
Purpose: Restricts order visibility based on scope permissions. Only users/applications with matching restriction scopes can access orders with a specific restriction value.
Access Control:
- Reading: Users can only query and view orders with the
restrictionvalue that matches one of their authorized restrictions.
Validation: The value must exist in the tenant's configured list of valid restrictions.
Site Synchronization: If the restriction property is not set with tenant configuration property enableSyncBetweenRestrictionsAndSiteCodes set to true, the restriction field automatically syncs with siteCode property.
DEStatus of the order. Supported order statuses are IN_CHECKOUT, CREATED, CONFIRMED, DECLINED, SHIPPED, COMPLETED'. Customers can only change the order status from CREATED to DECLINED.
The identifier of a cart that was used to create this order.
Available on orders that have been split. For standard orders, the value is null. For the original order that was split, the value is MASTER_ORDERs, and for the created suborders, the value is SUB_ORDER.
The identifier of a master order. Available on suborders that have been created after splitting the master order.
A list of string IDs for suborders created after a split. Available only on the master order from which the split originated.
Site's unique identifier. A site is a specific shop.
Two-letter country code, compliant with the ISO 3166 standard.
Order sub total price. This field is deprecated. Please use calculatedPrice.price or calculatedPrice.discountedPrice instead. These fields provide the same value with updated functionality.
Order total price. This field is deprecated. Please use calculatedPrice.finalPrice instead. The calculatedPrice.finalPrice field provides the same value with updated functionality.
The amount that should be authorized with payment provider. It's a sum of calculatedPrice.finalPrice.grossValue and calculatedPrice.upliftValue.grossValue.
Three-letter currency code, compliant with the ISO 4217 standard.
Order cycle date.
NOTE
This attribute is DEPRECATED, please use the deliveryWindow.deliveryCycle attribute
Delivery window's unique identifier.
NOTE
This attribute is DEPRECATED, please use the deliveryWindow.id attribute
The identifier of the legal entity on whose behalf the order was placed.
Request was syntactically incorrect. Details of the error are included in the response payload.
Given authorization scopes are not sufficient and do not match required scopes.
Order does not exist
Some server side error occurred.
Last updated
Was this helpful?

